﻿using System;
using System.Collections.Generic;
using System.Windows.Data;

namespace CustomLocalization
{
    public class LocalizeConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null) return string.Empty;

            Dictionary<string, string> resources = value as Dictionary<string, string>;

            if (resources == null) return string.Empty;

            string param = parameter.ToString();

            if (!resources.ContainsKey(param))
                return string.Empty;

            return resources[param];
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}