USE [master]
GO

/****** Object:  Database [acme]    Script Date: 11/22/2010 21:59:21 ******/
CREATE DATABASE [acme] ON  PRIMARY 
( NAME = N'acme', FILENAME = N'c:\Program Files\Microsoft SQL Server\MSSQL10_50.SQLEXPRESS\MSSQL\DATA\acme.mdf' , SIZE = 2048KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'acme_log', FILENAME = N'c:\Program Files\Microsoft SQL Server\MSSQL10_50.SQLEXPRESS\MSSQL\DATA\acme_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [acme] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [acme].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [acme] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [acme] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [acme] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [acme] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [acme] SET ARITHABORT OFF 
GO

ALTER DATABASE [acme] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [acme] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [acme] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [acme] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [acme] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [acme] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [acme] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [acme] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [acme] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [acme] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [acme] SET  DISABLE_BROKER 
GO

ALTER DATABASE [acme] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [acme] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [acme] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [acme] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [acme] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [acme] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [acme] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [acme] SET  READ_WRITE 
GO

ALTER DATABASE [acme] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [acme] SET  MULTI_USER 
GO

ALTER DATABASE [acme] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [acme] SET DB_CHAINING OFF 
GO







USE [acme]
GO

/****** Object:  Table [dbo].[Tag]    Script Date: 11/22/2010 21:59:59 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Tag](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Description] [varchar](255) NOT NULL,
 CONSTRAINT [PK_Tag] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO





USE [acme]
GO

/****** Object:  Table [dbo].[StringResource]    Script Date: 11/22/2010 22:00:07 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[StringResource](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[LocaleId] [varchar](255) NOT NULL,
	[Key] [varchar](128) NOT NULL,
	[Value] [varchar](500) NOT NULL,
	[Comment] [varchar](255) NULL,
	[CreatedDate] [date] NOT NULL,
	[ModifiedDate] [date] NOT NULL,
 CONSTRAINT [PK_StringResource] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO




USE [acme]
GO

/****** Object:  Table [dbo].[StringResourceTag]    Script Date: 11/22/2010 22:00:15 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[StringResourceTag](
	[StringResourceId] [bigint] NOT NULL,
	[TagId] [int] NOT NULL,
 CONSTRAINT [PK_StringResourceTag] PRIMARY KEY CLUSTERED 
(
	[StringResourceId] ASC,
	[TagId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO





USE [acme]
GO
/****** Object:  Table [dbo].[StringResource]    Script Date: 11/22/2010 22:06:17 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[StringResource](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[LocaleId] [varchar](255) NOT NULL,
	[Key] [varchar](128) NOT NULL,
	[Value] [varchar](500) NOT NULL,
	[Comment] [varchar](255) NULL,
	[CreatedDate] [date] NOT NULL,
	[ModifiedDate] [date] NOT NULL,
 CONSTRAINT [PK_StringResource] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO


